Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023385
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2013-03-25 12:082013-06-20 02:08
ReportercaristuView Statuspublic 
Assigned Tojecharri 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisionbde534f03bd4
ProjectionnoneETAnoneTarget Version3.0MP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023385: Organization is generated even if the Initial Org Setup ends with errors

DescriptionIn the Initial Organization Setup process, the organization is generated even if not ends successfully. For example, if we Include the accounting file in the process and use an invalid COA, the create organization process ends successfully but the create accounting process fail.

The organization should not be created if the whole Initial Organization Setup process ends with errors.
Steps To Reproduce1) Go to Inital Organization Setup window
2) Fill the required fields
3) Check off the "Include Accounting File or Accounting Reference Data" checkbox
4) Include an invalid accounting file
5) Click OK. The process shows the error message in the accounting process and the organization is generated.
TagsNo tags attached.
Attached Filesdiff file icon org_setup_fix_23385.diff [^] (753 bytes) 2013-05-31 18:25 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059083)
hgbot (developer)
2013-05-31 12:26

Repository: erp/devel/pi
Changeset: 6792989a9124996136f6f7ad00061ece81fda599
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri May 31 12:25:02 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6792989a9124996136f6f7ad00061ece81fda599 [^]

Fixes issue 23385: Organization is generated even
if the Initial Org Setup ends with errors

---
M src/org/openbravo/erpCommon/ad_forms/InitialOrgSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
---
(0059087)
caristu (developer)
2013-05-31 15:53

Verified
(0059088)
hgbot (developer)
2013-05-31 18:23

Repository: erp/devel/pi
Changeset: e84ef22ffd85a762ef5b29aae938d26ff556fb24
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri May 31 18:19:45 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e84ef22ffd85a762ef5b29aae938d26ff556fb24 [^]

Issue 23385: , Backed out: 6792989a9124
As is breaks OrgSetup when using the optional 'Location' field.

---
M src/org/openbravo/erpCommon/ad_forms/InitialOrgSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
---
(0059089)
shuehner (administrator)
2013-05-31 18:24

Backed out.
This break creations orgs when using the optional 'Location' field in the OrgSetup.
Detected by smoketest:
http://builds.openbravo.com/job/int-smoke-pgsql-test/980/ [^]
(0059090)
shuehner (administrator)
2013-05-31 18:27

The attached patch on top of the original commit seems to fix that specific bug for me. But needs further testing to ensure no more problems are introduced by the patch.
Probable cause:
insert of ad_org does run insert trigger to run ad_orginfo insert.
The original commitAndClose did indirectly force a reload of the dal object.

After it not being done in the middle of the process an explicit refresh of all previously loaded dal-object (like ad-org) must be done to refresh their state.
(0059113)
hudsonbot (developer)
2013-06-01 02:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059115)
hudsonbot (developer)
2013-06-01 02:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059321)
jecharri (developer)
2013-06-11 11:00

This changeset solve the issue

https://code.openbravo.com/erp/devel/pi/rev/3f47396281c68c8fd8adb5b800f552b95bd225dd [^]
(0059372)
hgbot (developer)
2013-06-11 18:20

Repository: erp/devel/pi
Changeset: da0c04eed6ebf4c4494d04464bf709a308260d81
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jun 11 18:20:35 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/da0c04eed6ebf4c4494d04464bf709a308260d81 [^]

backout issue 23385: Organization is generated even
if the Initial Org Setup ends with errors

---
M src/org/openbravo/erpCommon/ad_forms/InitialOrgSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
---
(0059422)
hgbot (developer)
2013-06-13 15:39

Repository: erp/devel/pi
Changeset: bde534f03bd48726603235e604e241af47bf0e3e
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Thu Jun 13 15:39:26 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bde534f03bd48726603235e604e241af47bf0e3e [^]

Fixes issue 23385: Organization is generated even if the Initial Org Setup ends with errors

---
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_forms/InitialOrgSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
---
(0059476)
caristu (developer)
2013-06-18 10:11

Verified with steps to reproduce
(0059569)
hudsonbot (developer)
2013-06-20 02:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test
(0059575)
hudsonbot (developer)
2013-06-20 02:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-03-25 12:08 caristu New Issue
2013-03-25 12:08 caristu Assigned To => dmiguelez
2013-03-25 12:08 caristu Modules => Core
2013-03-25 12:08 caristu Triggers an Emergency Pack => No
2013-03-25 12:08 caristu Issue Monitored: networkb
2013-03-25 12:09 caristu Target Version => 3.0MP23
2013-03-27 17:38 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-04-17 17:20 jonalegriaesarte Target Version 3.0MP23 => 3.0MP24
2013-05-20 12:02 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2013-05-30 10:45 jonalegriaesarte Assigned To ioritzCia => jecharri
2013-05-31 12:26 hgbot Checkin
2013-05-31 12:26 hgbot Note Added: 0059083
2013-05-31 12:26 hgbot Status new => resolved
2013-05-31 12:26 hgbot Resolution open => fixed
2013-05-31 12:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6792989a9124996136f6f7ad00061ece81fda599 [^]
2013-05-31 15:53 caristu Review Assigned To => caristu
2013-05-31 15:53 caristu Note Added: 0059087
2013-05-31 15:53 caristu Status resolved => closed
2013-05-31 18:23 hgbot Checkin
2013-05-31 18:23 hgbot Note Added: 0059088
2013-05-31 18:24 shuehner Note Added: 0059089
2013-05-31 18:24 shuehner Status closed => new
2013-05-31 18:24 shuehner Resolution fixed => open
2013-05-31 18:25 shuehner File Added: org_setup_fix_23385.diff
2013-05-31 18:27 shuehner Note Added: 0059090
2013-06-01 02:15 hudsonbot Checkin
2013-06-01 02:15 hudsonbot Note Added: 0059113
2013-06-01 02:15 hudsonbot Checkin
2013-06-01 02:15 hudsonbot Note Added: 0059115
2013-06-03 16:50 jonalegriaesarte Target Version 3.0MP24 => 3.0MP25
2013-06-11 10:59 jecharri Status new => scheduled
2013-06-11 10:59 jecharri fix_in_branch => pi
2013-06-11 11:00 jecharri Status scheduled => resolved
2013-06-11 11:00 jecharri Fixed in Version => 3.0MP25
2013-06-11 11:00 jecharri Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/6792989a9124996136f6f7ad00061ece81fda599 [^] => https://code.openbravo.com/erp/devel/pi/rev/3f47396281c68c8fd8adb5b800f552b95bd225dd [^]
2013-06-11 11:00 jecharri Resolution open => fixed
2013-06-11 11:00 jecharri Note Added: 0059321
2013-06-11 18:20 hgbot Checkin
2013-06-11 18:20 hgbot Note Added: 0059372
2013-06-11 18:21 jecharri Status resolved => new
2013-06-11 18:21 jecharri Resolution fixed => open
2013-06-11 18:21 jecharri Fixed in Version 3.0MP25 =>
2013-06-13 15:39 hgbot Checkin
2013-06-13 15:39 hgbot Note Added: 0059422
2013-06-13 15:39 hgbot Status new => resolved
2013-06-13 15:39 hgbot Resolution open => fixed
2013-06-13 15:39 hgbot Fixed in SCM revision https://code.openbravo.com/erp/devel/pi/rev/3f47396281c68c8fd8adb5b800f552b95bd225dd [^] => http://code.openbravo.com/erp/devel/pi/rev/bde534f03bd48726603235e604e241af47bf0e3e [^]
2013-06-18 10:11 caristu Note Added: 0059476
2013-06-18 10:11 caristu Status resolved => closed
2013-06-20 02:08 hudsonbot Checkin
2013-06-20 02:08 hudsonbot Note Added: 0059569
2013-06-20 02:08 hudsonbot Checkin
2013-06-20 02:08 hudsonbot Note Added: 0059575


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker